import java.util.Scanner;

class Node{
	private int data; // holds the value of the node
	private Node previous, next; // references to the previous and to the next node
	
	// Constructor
	public Node(int val){
		data = val;
		previous = null;
		next = null;
	}
	
	// Getters
	public int getData(){
		return data;
	}
	
	public Node getPrevious(){
		return previous;
	}
	
	public Node getNext(){
		return next;
	}
	
	// Setters
	public void setPrevious(Node pre){
		previous = pre;
	}
	
	public void setNext(Node nxt){
		next = nxt;
	}
}

class DoubleLinkedList{
	private Node first; // Reference to the first node in the list
	
	// Insert a node with value n at the beginning of the list
	public void insert(int n){
		Node newNode = new Node(n);
		newNode.setNext(first);
		if(first != null)
			first.setPrevious(newNode);
		first = newNode;
	}
	
	// find first element in list with value and return this
	public Node find(int value)
	{
		Node iterator = first;
		while(iterator != null && iterator.getData() != value)
			iterator = iterator.getNext();
		return iterator;
	}
	
	// pre: node n is contained in list
	// post: node n has been removed from list
	public void remove(Node n){
		// implement this 
	}
	
	// print the list to System.out
	public void print(){
		for (Node n = first; n != null; n = n.getNext())
		{
			System.out.print(n.getData());
			if (n.getNext() != null)
			{
				if (n.getNext().getPrevious() == n) // consistency check
					System.out.print(" <");
				System.out.print("-> ");
			}
		}
		System.out.println();
	}
}

class Main {
	
	public static void main(String[] args){
		// Create Scanner instance to read values from Console
		java.util.Scanner scanner = new java.util.Scanner(System.in);
		
		DoubleLinkedList list = new DoubleLinkedList();
		// read until no more integer and insert into list at the beginning
		while (scanner.hasNextInt())
			list.insert(scanner.nextInt());
		scanner.close();
		// print original list
		list.print();
		// remove first incidence of 0 from list
		Node n = list.find(0);
		if (n != null)
			list.remove(n);
		// print modified list
		list.print();
	}

}
