import java.util.Scanner;

class Solution {     
    //pre: a String consisting of only lower case letters
	//post: true if the string is a palindrom or if its empty
	//		false otherwise
	public boolean isPalindrome(String s) {  
        int left=0, right=s.length()-1;  
        while (left < right) {  
            char c1 = s.charAt(left++); 
            char c2 = s.charAt(right--);  
            if (c1 != c2) return false;   
        }  
        return true;
    }
   	
	private String findPalindrome(String s, int left, int right) {    	
        while (left>=0 && right<s.length() && s.charAt(left)==s.charAt(right)) {  
            left--; right++;  
        }  
        return s.substring(left+1, right);  
    }  

    
	//pre: a string that containing a palindrome (remember that the empty string is also consindered a palindrome
	//post: the longest string that is a palindrome that can be found anywhere inside the string
	//		use the findPalindrome routine to find the longest Palindrome centered at a given position (left/right)
	public String longestPalindrome(String s) {  
        String longest = "";  
        for (int i=0; i<s.length(); ++i) {  
            String palindrome = findPalindrome(s, i, i);  
            if (palindrome.length() > longest.length()) {  
                longest = palindrome;  
            }  
        }  
        for (int i=1; i<s.length(); ++i) {  
            String palindrome = findPalindrome(s, i-1, i);  
            if (palindrome.length() > longest.length()) {  
                longest = palindrome;  
            }  
        }  
        return longest;  
    }  
}


//--------------------------------------------------------------------------
// this is the test code for the judge, do not modify
class Main {
    // this is the test code for the judge, do not modify
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        int task_num;
        Solution sol = new Solution();
        while (scanner.hasNext())
        {
            task_num = scanner.nextLine().charAt(0) - '0';
            String str = scanner.nextLine();
            if (task_num == 0) {
                Boolean ind = sol.isPalindrome(str);
                if (ind) System.out.println("YES"); else System.out.println("NO");
            }
            else if (task_num == 1) {
                String ans = sol.longestPalindrome(str);
                System.out.println(ans);
            }
            else {
                System.out.println("Invalid input!");
                break;
            }
        }
        scanner.close();
    }
}
//--------------------------------------------------------------------------
