class ListElement {
	private int data;
	private ListElement next;
	
	public ListElement(int newData) {
		data = newData;
		next = null;
	}

	public void setNext(ListElement nextElem) {
		next = nextElem;
	}

	public ListElement getNext() {
		return next;
	}
	
	public int getData() {
		return data;
	}
}

class List {
	public ListElement first, last;

	public void append(int value)
	{
		ListElement newElement = new ListElement(value);
		if (first == null)
			first = newElement;
		else
			last.setNext(newElement);
		last = newElement;
	}
	
	public void insertFirst(int value)
	{
		ListElement newElement = new ListElement(value);
		if (last == null)
			last = newElement;
		else
			newElement.setNext(first);
		first = newElement;
	}
	
	public void empty()
	{
		first = last = null;
	}

	public void reverse() {
		ListElement current = first;
		empty();

		while (current != null) {
			insertFirst(current.getData());
			current = current.getNext();
		}
	}
	
	public void output(){
		for (ListElement current = first; current != null; current = current.getNext())
			System.out.print(current.getData() + " -> ");
		System.out.println();
	}
	
}

class Main {
	public static void main(String[] args) {

		java.util.Scanner scanner = new java.util.Scanner(System.in);
		List list = new List();
		
		while (scanner.hasNextInt())
		{
			list.append(scanner.nextInt());
		}
		list.output();
		list.reverse();
		list.output();
	
		scanner.close();
	}
}
